From 2039719e5378f8e460b9d12b81e64ac7c06de225 Mon Sep 17 00:00:00 2001
From: John Stebbins <jstebbins.hb@gmail.com>
Date: Mon, 15 Jun 2020 07:47:47 -0600
Subject: [PATCH] LinGui: revert appdata filename change

Ubuntu gettext package version does not yet support 'metainfo' files
---
 gtk/src/Makefile.am                                         | 6 +++---
 ...o.template.xml => fr.handbrake.ghb.appdata.template.xml} | 0
 2 files changed, 3 insertions(+), 3 deletions(-)
 rename gtk/src/{fr.handbrake.ghb.metainfo.template.xml => fr.handbrake.ghb.appdata.template.xml} (100%)

diff --git a/gtk/src/Makefile.am b/gtk/src/Makefile.am
index 147df424e1..4b2b25f41f 100644
--- a/gtk/src/Makefile.am
+++ b/gtk/src/Makefile.am
@@ -40,7 +40,7 @@
 hb_menu = fr.handbrake.ghb.desktop

 metainfodir = $(datarootdir)/metainfo
-metainfo_in_files = fr.handbrake.ghb.metainfo.xml.in
+metainfo_in_files = fr.handbrake.ghb.appdata.xml.in
 if ! MINGW
 metainfo_DATA = $(metainfo_in_files:.xml.in=.xml)
 dist_metainfo_DATA = $(metainfo_files)
@@ -172,10 +172,10 @@ widget_reverse.deps: makedeps.py
 widget.deps: makedeps.py
 	$(HB_PYTHON) $(srcdir)/makedeps.py
 
-fr.handbrake.ghb.metainfo.xml: fr.handbrake.ghb.metainfo.xml.in
+fr.handbrake.ghb.appdata.xml: fr.handbrake.ghb.appdata.xml.in
 	$(AM_V_GEN) $(MSGFMT) --xml --template $< -d $(top_srcdir)/po -o $@
 
-fr.handbrake.ghb.metainfo.xml.in: fr.handbrake.ghb.metainfo.template.xml
+fr.handbrake.ghb.appdata.xml.in: fr.handbrake.ghb.appdata.template.xml
 	sed -e 's^RELEASE_TAG^<release version="$(HB.version)" date="$(word 1,$(HB.repo.date))" />^' $< > $@
 
 $(srcdir)/marshalers.h: marshalers.list
diff --git a/gtk/src/fr.handbrake.ghb.metainfo.template.xml b/gtk/src/fr.handbrake.ghb.appdata.template.xml
similarity index 100%
rename from gtk/src/fr.handbrake.ghb.metainfo.template.xml
rename to gtk/src/fr.handbrake.ghb.appdata.template.xml
